This extension integrates a Magento 2 based webstore with the **[PostFinance](https://www.postfinance.ch)** payment service (Switzerland).  
The module is **free** and **open source**.

## Settings
![](https://mage2.pro/uploads/default/original/2X/4/4e4c87f313d6b99c507e979a6a77f5a8a2b5922a.png)

## Screenshots
- [The payment menu](https://mage2.pro/t/topic/4397) (generated by PostFinance, not by the extension)
  - [The **VISA** payment interface](https://mage2.pro/t/topic/4396)
  - [The **MasterCard** payment interface](https://mage2.pro/t/topic/4398)
  - [The **PostFinance E-finance** payment interface](https://mage2.pro/t/topic/4399) (an online banking)
  - [The **PostFinance Card** payment interface](https://mage2.pro/t/topic/4394)
  - [The **TWINT** payment interface](https://mage2.pro/t/topic/4395) (a Switzerland’s digital wallet)
  - [The **PayPal** payment interface in the test mode](https://mage2.pro/t/topic/4416)  

## How to buy
You can buy it with PayPal [here](https://mage2.pro/t/3183).  

## How to install
[Hire me in Upwork](https://upwork.com/fl/mage2pro), and I will: 
- install and configure the module properly on your website
- answer your questions
- solve compatiblity problems with third-party checkout, shipping, marketing modules
- implement new features you need 

### 2. Self-installation
```
bin/magento maintenance:enable
rm -f composer.lock
composer clear-cache
composer require mage2pro/postfinance:*
bin/magento setup:upgrade
bin/magento cache:enable
rm -rf var/di var/generation generated/code
bin/magento setup:di:compile
rm -rf pub/static/*
bin/magento setup:static-content:deploy -f en_US <additional locales, e.g.: de_CH fr_CH it_CH rm_CH gsw_CH>
bin/magento maintenance:disable
```

## How to update
```
bin/magento maintenance:enable
composer remove mage2pro/postfinance
rm -f composer.lock
composer clear-cache
composer require mage2pro/postfinance:*
bin/magento setup:upgrade
bin/magento cache:enable
rm -rf var/di var/generation generated/code
bin/magento setup:di:compile
rm -rf pub/static/*
bin/magento setup:static-content:deploy -f en_US <additional locales, e.g.: de_CH fr_CH it_CH rm_CH gsw_CH>
bin/magento maintenance:disable
```